Payments APIPayments
Cancel payment
Cancel payment request.
Authorization
Bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Identifier of the payment
Format
uuidHeader Parameters
X-Volt-Api-Version*integer
Version of the API used. Currently, version 1 is the only version.
Value in
1X-Volt-Initiation-Channel*string
Channel used for payment initiation flow.
Value in
"api"Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://gateway.sandbox.volt.io/payments/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel" \ -H "X-Volt-Api-Version: 1" \ -H "X-Volt-Initiation-Channel: api" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"currency": "EUR",
"amount": 10000,
"paymentReference": "XV9840MK550AMKQ910",
"internalReference": "H35X48Y4FWOD6G3S",
"paymentSystem": "OPEN_BANKING_EU",
"openBankingEU": {
"type": "BILL",
"institutionId": "cdae5c01-a629-4362-be56-52101ec22a49",
"validityPeriod": 1440,
"provider": "Volt",
"accountIdentifiers": {
"iban": "DE75512108001245126199"
}
},
"payer": {
"reference": "JDOE-101",
"firstName": "John",
"lastName": "Doe",
"organisationName": "JD Holdings",
"email": "johndoe@example.com",
"accountIdentifiers": {
"iban": "DE75512108001245126199"
}
},
"sender": {
"name": "John Doe",
"accountIdentifiers": {
"iban": "DE75512108001245126199"
}
},
"beneficiary": {
"name": "Jane Doe",
"accountIdentifiers": {
"iban": "PL10105000997603123456789123"
}
},
"device": {
"ip": "192.168.0.1",
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:42.0) Gecko/20100101 Firefox/42.0",
"fingerprint": "2aae6c35c94fcfb415dbe95f408b9ce91ee846ed"
},
"status": "CANCELLED_BY_USER",
"transferType": "SWIFT",
"displayInfo": [
{
"key": "Product SKU",
"value": "87ec73a0"
}
],
"createdAt": "2024-04-15T15:52:01+00:00",
"updatedAt": "2005-08-15T15:52:01+00:00",
"paymentInitiationFlow": {
"status": "ABORTED"
}
}{
"code": "UNAUTHORISED",
"message": "Unauthorised."
}{
"code": "ACCESS_DENIED",
"message": "Access denied."
}{
"code": "RESOURCE_NOT_FOUND",
"message": "Not found."
}{
"code": "IDEMPOTENCY_CONFLICT",
"message": "Idempontency key already used."
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Something went wrong. Please, contact support. TraceId: b8cfd344-093c-4b8c-8fd4-f0e406060c3c. Timestamp: 1723193467."
}